Imports System.Collections.Generic
Imports System.Text

Partial Class Visitors_SearchSite
    Inherits CharterCMSPage

    Protected Sub Page_Init(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Init
        SetContentKeys()

        If (Request.QueryString(QueryStringName.Mode) <> vbNull _
            And Request.QueryString(QueryStringName.Mode) <> "") And _
            Request.QueryString(QueryStringName.Mode) = SearchMode.SupportAgain Then
            Me.ucSearchSupportAgain.Mode = SearchMode.SupportAgain
            Me.ucSearchSiteHeader.ContentKey = "Support:SearchResultsHeader"
        End If
    End Sub

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
        End If

        If Not (Application("IntelliResponse_ENABLED") Is Nothing) Then
            If Application("IntelliResponse_ENABLED").ToString().Trim().ToLower() = "t" Then
                ucSearchSupport.Visible = False
            End If
        End If
    End Sub

    Private Sub SetContentKeys()

        'Support - Search Site
        Me.ucSupportHomeResourcesHelpTools.ContentKey = "Support:Home:ResourcesHelpTools:SYCH"

    End Sub

End Class

